Page MenuHomePhabricator

copies-rust: hide most of the comparison details inside a closure
ClosedPublic

Authored by marmoute on Nov 27 2020, 11:12 AM.

Details

Summary

The function that compares values needs various supporting elements that are
the same for each call. We are about to both make change to these element and
change to call sites in our upcoming work. So abstracting most of the details
will help to avoid conflict while these works happen in parallel.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Nov 27 2020, 11:12 AM
marmoute updated this revision to Diff 23824.Nov 29 2020, 6:14 AM
marmoute updated this revision to Diff 23872.Nov 29 2020, 3:29 PM
marmoute commandeered this revision.
baymax updated this revision to Diff 24119.Dec 8 2020, 6:04 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24132.Dec 8 2020, 9:58 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 12 2020, 3:25 AM
This revision is now accepted and ready to land.Dec 12 2020, 3:25 AM
Alphare accepted this revision.Dec 14 2020, 4:40 AM
marmoute updated this revision to Diff 24213.Dec 14 2020, 6:16 AM
baymax updated this revision to Diff 24237.Dec 14 2020, 7:06 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)